WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: gphoto2.tce .tcz in 2.x  (Read 2820 times)

Offline Onyarian

  • Sr. Member
  • ****
  • Posts: 337
gphoto2.tce .tcz in 2.x
« on: June 25, 2009, 03:25:33 PM »
In the .dep file says the dependence from autotools.tce .tcz but there is no autotools in the repository of tc 2.x

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14643
Re: gphoto2.tce .tcz in 2.x
« Reply #1 on: June 25, 2009, 09:46:57 PM »
When you try and run gphoto2 without autotools, what error message do you get?

Offline danielibarnes

  • Hero Member
  • *****
  • Posts: 548
Re: gphoto2.tce .tcz in 2.x
« Reply #2 on: June 29, 2009, 05:20:21 PM »
@Onyarian:
gphoto2 requires libtool, specifically libltdl. This is provided by autotools in 1.x, but I've not tested gphoto2 (or any other extensions that I've submitted) in 2.x yet. I will do that soon.

It should be sufficient to load libtool.tczl, which is available in 2.x. I will update the .dep asap. I am also preparing to submit version 2.4.5, which is newer than the currently posted 2.4.4.

@Juanito:
It would be nice to have libtool extension for 1.x to avoid the autotools dependency. :)

Offline Jason W

  • Retired Admins
  • Hero Member
  • *****
  • Posts: 9730
Re: gphoto2.tce .tcz in 2.x
« Reply #3 on: June 29, 2009, 06:24:46 PM »
gphoto2.tce/z dep files in TC 2.x have autotools replaced with libtool.

Offline Onyarian

  • Sr. Member
  • ****
  • Posts: 337
Re: gphoto2.tce .tcz in 2.x
« Reply #4 on: June 30, 2009, 09:15:50 AM »
Thaks at all!!

The first symptom was in the appbrowser, who say "try it later" because the autotools was missing.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14643
Re: gphoto2.tce .tcz in 2.x
« Reply #5 on: July 03, 2009, 02:18:08 AM »
@Juanito:
It would be nice to have libtool extension for 1.x to avoid the autotools dependency. :)

..as a special favour - posted